net.sf.jasperreports.components.map.fill

## Class MarkerFillDatasetRun

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRFillDatasetRun
  - - net.sf.jasperreports.components.list.FillDatasetRun
    - - net.sf.jasperreports.components.map.fill.MarkerFillDatasetRun

- All Implemented Interfaces:
    java.lang.Cloneable, JRCloneable, JRDatasetRun, JRIdentifiable, JRPropertiesHolder

      public class MarkerFillDatasetRun
      extends FillDatasetRun

  Used to iterate on a subdataset and create a sorted data source.
  Version:
    $Id: MarkerFillDatasetRun.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRFillDatasetRun

      `connectionExpression, dataset, dataSourceExpression, filler, parameters, parametersMapExpression, parentDatasetRun`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MarkerFillDatasetRun(JRDatasetRun datasetRun, JRFillObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected JRFillDataset` | `getDataset()`

    - ### Methods inherited from class net.sf.jasperreports.components.list.FillDatasetRun

      `end, evaluate, evaluateDatasetExpression, next, rewind, start`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRFillDatasetRun

      `advanceDataset, checkInterrupted, clone, copyConnectionParameter, copyReturnValues, detail, evaluate, getConnectionExpression, getDatasetName, getDataSourceExpression, getParameters, getParametersMapExpression, getParentProperties, getPropertiesMap, getReturnValues, getUUID, group, hasProperties, init, initReturnValues, iterate, saveReturnVariables, setBand`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MarkerFillDatasetRun

          public MarkerFillDatasetRun(JRDatasetRun datasetRun,
                              JRFillObjectFactory factory)
                               throws JRException

      Throws:
        `JRException`

  - ### Method Detail

    - #### getDataset

          protected JRFillDataset getDataset()

      Overrides:
        `getDataset` in class `FillDatasetRun`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com